hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Core

# Documentation

data IndexType Source #

Constructors

ByName |
ByCreationOrder |

#### Instances

Instances details

Bounded IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: IndexType Source # maxBound :: IndexType Source #
Enum IndexType Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

succ :: IndexType -> IndexType Source #

pred :: IndexType -> IndexType Source #

toEnum :: Int -> IndexType Source #

fromEnum :: IndexType -> Int Source #

enumFrom :: IndexType -> [IndexType] Source #

enumFromThen :: IndexType -> IndexType -> [IndexType] Source #

enumFromTo :: IndexType -> IndexType -> [IndexType] Source #

enumFromThenTo :: IndexType -> IndexType -> IndexType -> [IndexType] Source #

Read IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IndexType Source # readList :: ReadS [IndexType] Source # readPrec :: ReadPrec IndexType Source # readListPrec :: ReadPrec [IndexType] Source #
Show IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IndexType -> ShowS Source # show :: IndexType -> String Source # showList :: [IndexType] -> ShowS Source #
Eq IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IndexType -> IndexType -> Bool Source # (/=) :: IndexType -> IndexType -> Bool Source #
Ord IndexType Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

compare :: IndexType -> IndexType -> Ordering Source #

(<) :: IndexType -> IndexType -> Bool Source #

(<=) :: IndexType -> IndexType -> Bool Source #

(>) :: IndexType -> IndexType -> Bool Source #

(>=) :: IndexType -> IndexType -> Bool Source #

max :: IndexType -> IndexType -> IndexType Source #

min :: IndexType -> IndexType -> IndexType Source #

data IterOrder Source #

Constructors

Increasing |
Decreasing |
Native |

#### Instances

Instances details

Bounded IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: IterOrder Source # maxBound :: IterOrder Source #
Enum IterOrder Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

succ :: IterOrder -> IterOrder Source #

pred :: IterOrder -> IterOrder Source #

toEnum :: Int -> IterOrder Source #

fromEnum :: IterOrder -> Int Source #

enumFrom :: IterOrder -> [IterOrder] Source #

enumFromThen :: IterOrder -> IterOrder -> [IterOrder] Source #

enumFromTo :: IterOrder -> IterOrder -> [IterOrder] Source #

enumFromThenTo :: IterOrder -> IterOrder -> IterOrder -> [IterOrder] Source #

Read IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IterOrder Source # readList :: ReadS [IterOrder] Source # readPrec :: ReadPrec IterOrder Source # readListPrec :: ReadPrec [IterOrder] Source #
Show IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IterOrder -> ShowS Source # show :: IterOrder -> String Source # showList :: [IterOrder] -> ShowS Source #
Eq IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IterOrder -> IterOrder -> Bool Source # (/=) :: IterOrder -> IterOrder -> Bool Source #
Ord IterOrder Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

compare :: IterOrder -> IterOrder -> Ordering Source #

(<) :: IterOrder -> IterOrder -> Bool Source #

(<=) :: IterOrder -> IterOrder -> Bool Source #

(>) :: IterOrder -> IterOrder -> Bool Source #

(>=) :: IterOrder -> IterOrder -> Bool Source #

max :: IterOrder -> IterOrder -> IterOrder Source #

min :: IterOrder -> IterOrder -> IterOrder Source #

data IH_Info Source #

Constructors

IH_Info |

Fields

- indexSize :: !HSize
- heapSize :: !HSize

#### Instances

Instances details

Read IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IH_Info Source # readList :: ReadS [IH_Info] Source # readPrec :: ReadPrec IH_Info Source # readListPrec :: ReadPrec [IH_Info] Source #
Show IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IH_Info -> ShowS Source # show :: IH_Info -> String Source # showList :: [IH_Info] -> ShowS Source #
Eq IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IH_Info -> IH_Info -> Bool Source # (/=) :: IH_Info -> IH_Info -> Bool Source #
Ord IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods compare :: IH_Info -> IH_Info -> Ordering Source # (<) :: IH_Info -> IH_Info -> Bool Source # (<=) :: IH_Info -> IH_Info -> Bool Source # (>) :: IH_Info -> IH_Info -> Bool Source # (>=) :: IH_Info -> IH_Info -> Bool Source # max :: IH_Info -> IH_Info -> IH_Info Source # min :: IH_Info -> IH_Info -> IH_Info Source #

newtype HSize Source #

Constructors

HSize HSize_t |

#### Instances

Instances details

Bits HSize Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

(.&.) :: HSize -> HSize -> HSize Source #

(.|.) :: HSize -> HSize -> HSize Source #

xor :: HSize -> HSize -> HSize Source #

complement :: HSize -> HSize Source #

shift :: HSize -> Int -> HSize Source #

rotate :: HSize -> Int -> HSize Source #

zeroBits :: HSize Source #

bit :: Int -> HSize Source #

setBit :: HSize -> Int -> HSize Source #

clearBit :: HSize -> Int -> HSize Source #

complementBit :: HSize -> Int -> HSize Source #

testBit :: HSize -> Int -> Bool Source #

bitSizeMaybe :: HSize -> Maybe Int Source #

bitSize :: HSize -> Int Source #

isSigned :: HSize -> Bool Source #

shiftL :: HSize -> Int -> HSize Source #

unsafeShiftL :: HSize -> Int -> HSize Source #

shiftR :: HSize -> Int -> HSize Source #

unsafeShiftR :: HSize -> Int -> HSize Source #

rotateL :: HSize -> Int -> HSize Source #

rotateR :: HSize -> Int -> HSize Source #

popCount :: HSize -> Int Source #

Bounded HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: HSize Source # maxBound :: HSize Source #
Enum HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods succ :: HSize -> HSize Source # pred :: HSize -> HSize Source # toEnum :: Int -> HSize Source # fromEnum :: HSize -> Int Source # enumFrom :: HSize -> [HSize] Source # enumFromThen :: HSize -> HSize -> [HSize] Source # enumFromTo :: HSize -> HSize -> [HSize] Source # enumFromThenTo :: HSize -> HSize -> HSize -> [HSize] Source #
Storable HSize Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

sizeOf :: HSize -> Int Source #

alignment :: HSize -> Int Source #

peekElemOff :: Ptr HSize -> Int -> IO HSize Source #

pokeElemOff :: Ptr HSize -> Int -> HSize -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HSize Source #

pokeByteOff :: Ptr b -> Int -> HSize -> IO () Source #

peek :: Ptr HSize -> IO HSize Source #

poke :: Ptr HSize -> HSize -> IO () Source #

Num HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods (+) :: HSize -> HSize -> HSize Source # (-) :: HSize -> HSize -> HSize Source # (*) :: HSize -> HSize -> HSize Source # negate :: HSize -> HSize Source # abs :: HSize -> HSize Source # signum :: HSize -> HSize Source # fromInteger :: Integer -> HSize Source #
Read HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS HSize Source # readList :: ReadS [HSize] Source # readPrec :: ReadPrec HSize Source # readListPrec :: ReadPrec [HSize] Source #
Integral HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods quot :: HSize -> HSize -> HSize Source # rem :: HSize -> HSize -> HSize Source # div :: HSize -> HSize -> HSize Source # mod :: HSize -> HSize -> HSize Source # quotRem :: HSize -> HSize -> (HSize, HSize) Source # divMod :: HSize -> HSize -> (HSize, HSize) Source # toInteger :: HSize -> Integer Source #
Real HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods toRational :: HSize -> Rational Source #
Show HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> HSize -> ShowS Source # show :: HSize -> String Source # showList :: [HSize] -> ShowS Source #
Eq HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: HSize -> HSize -> Bool Source # (/=) :: HSize -> HSize -> Bool Source #
Ord HSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods compare :: HSize -> HSize -> Ordering Source # (<) :: HSize -> HSize -> Bool Source # (<=) :: HSize -> HSize -> Bool Source # (>) :: HSize -> HSize -> Bool Source # (>=) :: HSize -> HSize -> Bool Source # max :: HSize -> HSize -> HSize Source # min :: HSize -> HSize -> HSize Source #
NativeType HSize Source # |
Instance details Defined in Bindings.HDF5.Datatype.Internal Methods nativeTypeId :: Tagged HSize Datatype Source #

hSize :: HSize -> HSize_t Source #

newtype HSSize Source #

Constructors

HSSize HSSize_t |

#### Instances

Instances details

Bits HSSize Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

(.&.) :: HSSize -> HSSize -> HSSize Source #

(.|.) :: HSSize -> HSSize -> HSSize Source #

xor :: HSSize -> HSSize -> HSSize Source #

complement :: HSSize -> HSSize Source #

shift :: HSSize -> Int -> HSSize Source #

rotate :: HSSize -> Int -> HSSize Source #

zeroBits :: HSSize Source #

bit :: Int -> HSSize Source #

setBit :: HSSize -> Int -> HSSize Source #

clearBit :: HSSize -> Int -> HSSize Source #

complementBit :: HSSize -> Int -> HSSize Source #

testBit :: HSSize -> Int -> Bool Source #

bitSizeMaybe :: HSSize -> Maybe Int Source #

bitSize :: HSSize -> Int Source #

isSigned :: HSSize -> Bool Source #

shiftL :: HSSize -> Int -> HSSize Source #

unsafeShiftL :: HSSize -> Int -> HSSize Source #

shiftR :: HSSize -> Int -> HSSize Source #

unsafeShiftR :: HSSize -> Int -> HSSize Source #

rotateL :: HSSize -> Int -> HSSize Source #

rotateR :: HSSize -> Int -> HSSize Source #

popCount :: HSSize -> Int Source #

Bounded HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: HSSize Source # maxBound :: HSSize Source #
Enum HSSize Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

succ :: HSSize -> HSSize Source #

pred :: HSSize -> HSSize Source #

toEnum :: Int -> HSSize Source #

fromEnum :: HSSize -> Int Source #

enumFrom :: HSSize -> [HSSize] Source #

enumFromThen :: HSSize -> HSSize -> [HSSize] Source #

enumFromTo :: HSSize -> HSSize -> [HSSize] Source #

enumFromThenTo :: HSSize -> HSSize -> HSSize -> [HSSize] Source #

Storable HSSize Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

sizeOf :: HSSize -> Int Source #

alignment :: HSSize -> Int Source #

peekElemOff :: Ptr HSSize -> Int -> IO HSSize Source #

pokeElemOff :: Ptr HSSize -> Int -> HSSize -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HSSize Source #

pokeByteOff :: Ptr b -> Int -> HSSize -> IO () Source #

peek :: Ptr HSSize -> IO HSSize Source #

poke :: Ptr HSSize -> HSSize -> IO () Source #

Num HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods (+) :: HSSize -> HSSize -> HSSize Source # (-) :: HSSize -> HSSize -> HSSize Source # (*) :: HSSize -> HSSize -> HSSize Source # negate :: HSSize -> HSSize Source # abs :: HSSize -> HSSize Source # signum :: HSSize -> HSSize Source # fromInteger :: Integer -> HSSize Source #
Read HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS HSSize Source # readList :: ReadS [HSSize] Source # readPrec :: ReadPrec HSSize Source # readListPrec :: ReadPrec [HSSize] Source #
Integral HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods quot :: HSSize -> HSSize -> HSSize Source # rem :: HSSize -> HSSize -> HSSize Source # div :: HSSize -> HSSize -> HSSize Source # mod :: HSSize -> HSSize -> HSSize Source # quotRem :: HSSize -> HSSize -> (HSSize, HSSize) Source # divMod :: HSSize -> HSSize -> (HSSize, HSSize) Source # toInteger :: HSSize -> Integer Source #
Real HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods toRational :: HSSize -> Rational Source #
Show HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> HSSize -> ShowS Source # show :: HSSize -> String Source # showList :: [HSSize] -> ShowS Source #
Eq HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: HSSize -> HSSize -> Bool Source # (/=) :: HSSize -> HSSize -> Bool Source #
Ord HSSize Source # |
Instance details Defined in Bindings.HDF5.Core Methods compare :: HSSize -> HSSize -> Ordering Source # (<) :: HSSize -> HSSize -> Bool Source # (<=) :: HSSize -> HSSize -> Bool Source # (>) :: HSSize -> HSSize -> Bool Source # (>=) :: HSSize -> HSSize -> Bool Source # max :: HSSize -> HSSize -> HSSize Source # min :: HSSize -> HSSize -> HSSize Source #
NativeType HSSize Source # |
Instance details Defined in Bindings.HDF5.Datatype.Internal Methods nativeTypeId :: Tagged HSSize Datatype Source #

hSSize :: HSSize -> HSSize_t Source #

newtype HAddr Source #

Constructors

HAddr HAddr_t |

#### Instances

Instances details

Bits HAddr Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

(.&.) :: HAddr -> HAddr -> HAddr Source #

(.|.) :: HAddr -> HAddr -> HAddr Source #

xor :: HAddr -> HAddr -> HAddr Source #

complement :: HAddr -> HAddr Source #

shift :: HAddr -> Int -> HAddr Source #

rotate :: HAddr -> Int -> HAddr Source #

zeroBits :: HAddr Source #

bit :: Int -> HAddr Source #

setBit :: HAddr -> Int -> HAddr Source #

clearBit :: HAddr -> Int -> HAddr Source #

complementBit :: HAddr -> Int -> HAddr Source #

testBit :: HAddr -> Int -> Bool Source #

bitSizeMaybe :: HAddr -> Maybe Int Source #

bitSize :: HAddr -> Int Source #

isSigned :: HAddr -> Bool Source #

shiftL :: HAddr -> Int -> HAddr Source #

unsafeShiftL :: HAddr -> Int -> HAddr Source #

shiftR :: HAddr -> Int -> HAddr Source #

unsafeShiftR :: HAddr -> Int -> HAddr Source #

rotateL :: HAddr -> Int -> HAddr Source #

rotateR :: HAddr -> Int -> HAddr Source #

popCount :: HAddr -> Int Source #

Bounded HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: HAddr Source # maxBound :: HAddr Source #
Enum HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods succ :: HAddr -> HAddr Source # pred :: HAddr -> HAddr Source # toEnum :: Int -> HAddr Source # fromEnum :: HAddr -> Int Source # enumFrom :: HAddr -> [HAddr] Source # enumFromThen :: HAddr -> HAddr -> [HAddr] Source # enumFromTo :: HAddr -> HAddr -> [HAddr] Source # enumFromThenTo :: HAddr -> HAddr -> HAddr -> [HAddr] Source #
Storable HAddr Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

sizeOf :: HAddr -> Int Source #

alignment :: HAddr -> Int Source #

peekElemOff :: Ptr HAddr -> Int -> IO HAddr Source #

pokeElemOff :: Ptr HAddr -> Int -> HAddr -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO HAddr Source #

pokeByteOff :: Ptr b -> Int -> HAddr -> IO () Source #

peek :: Ptr HAddr -> IO HAddr Source #

poke :: Ptr HAddr -> HAddr -> IO () Source #

Num HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods (+) :: HAddr -> HAddr -> HAddr Source # (-) :: HAddr -> HAddr -> HAddr Source # (*) :: HAddr -> HAddr -> HAddr Source # negate :: HAddr -> HAddr Source # abs :: HAddr -> HAddr Source # signum :: HAddr -> HAddr Source # fromInteger :: Integer -> HAddr Source #
Read HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS HAddr Source # readList :: ReadS [HAddr] Source # readPrec :: ReadPrec HAddr Source # readListPrec :: ReadPrec [HAddr] Source #
Integral HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods quot :: HAddr -> HAddr -> HAddr Source # rem :: HAddr -> HAddr -> HAddr Source # div :: HAddr -> HAddr -> HAddr Source # mod :: HAddr -> HAddr -> HAddr Source # quotRem :: HAddr -> HAddr -> (HAddr, HAddr) Source # divMod :: HAddr -> HAddr -> (HAddr, HAddr) Source # toInteger :: HAddr -> Integer Source #
Real HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods toRational :: HAddr -> Rational Source #
Show HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> HAddr -> ShowS Source # show :: HAddr -> String Source # showList :: [HAddr] -> ShowS Source #
Eq HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: HAddr -> HAddr -> Bool Source # (/=) :: HAddr -> HAddr -> Bool Source #
Ord HAddr Source # |
Instance details Defined in Bindings.HDF5.Core Methods compare :: HAddr -> HAddr -> Ordering Source # (<) :: HAddr -> HAddr -> Bool Source # (<=) :: HAddr -> HAddr -> Bool Source # (>) :: HAddr -> HAddr -> Bool Source # (>=) :: HAddr -> HAddr -> Bool Source # max :: HAddr -> HAddr -> HAddr Source # min :: HAddr -> HAddr -> HAddr Source #
NativeType HAddr Source # |
Instance details Defined in Bindings.HDF5.Datatype.Internal Methods nativeTypeId :: Tagged HAddr Datatype Source #

hAddr :: HAddr -> HAddr_t Source #

indexTypeCode :: IndexType -> H5_index_t Source #

iterOrderCode :: IterOrder -> H5_iter_order_t Source #

module Bindings.HDF5.Core.HId

module Bindings.HDF5.Core.HDFResultType